Package org.flowable.cmmn.api.runtime

# Interface PlanItemDefinitionType

public interface PlanItemDefinitionType

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CASE_PAGE_TASK`
  `static final String`
  `CASE_TASK`
  `static final String`
  `DECISION_TASK`
  `static final String`
  `EXTERNAL_WORKER_TASK`
  `static final String`
  `GENERIC_EVENT_LISTENER`
  `static final String`
  `HTTP_SERVICE_TASK`
  `static final String`
  `HUMAN_TASK`
  `static final String`
  `INTENT_EVENT_LISTENER`
  `static final String`
  `MILESTONE`
  `static final String`
  `PLAN_FRAGMENT`
  `static final String`
  `PROCESS_TASK`
  `static final String`
  `REACTIVATE_EVENT_LISTENER`
  `static final String`
  `SCRIPT_SERVICE_TASK`
  `static final String`
  `SEND_EVENT_SERVICE_TASK`
  `static final String`
  `SERVICE_TASK`
  `static final String`
  `SIGNAL_EVENT_LISTENER`
  `static final String`
  `STAGE`
  `static final String`
  `TIMER_EVENT_LISTENER`
  `static final String`
  `USER_EVENT_LISTENER`
  `static final String`
  `VARIABLE_EVENT_LISTENER`

- ## Field Details

  - ### STAGE

    static final String STAGE

  - ### PLAN_FRAGMENT

    static final String PLAN_FRAGMENT

  - ### MILESTONE

    static final String MILESTONE

  - ### TIMER_EVENT_LISTENER

    static final String TIMER_EVENT_LISTENER

  - ### USER_EVENT_LISTENER

    static final String USER_EVENT_LISTENER

  - ### SIGNAL_EVENT_LISTENER

    static final String SIGNAL_EVENT_LISTENER

  - ### VARIABLE_EVENT_LISTENER

    static final String VARIABLE_EVENT_LISTENER

  - ### GENERIC_EVENT_LISTENER

    static final String GENERIC_EVENT_LISTENER

  - ### INTENT_EVENT_LISTENER

    static final String INTENT_EVENT_LISTENER

  - ### HUMAN_TASK

    static final String HUMAN_TASK

  - ### CASE_TASK

    static final String CASE_TASK

  - ### CASE_PAGE_TASK

    static final String CASE_PAGE_TASK

  - ### EXTERNAL_WORKER_TASK

    static final String EXTERNAL_WORKER_TASK

  - ### PROCESS_TASK

    static final String PROCESS_TASK

  - ### DECISION_TASK

    static final String DECISION_TASK

  - ### SERVICE_TASK

    static final String SERVICE_TASK

  - ### HTTP_SERVICE_TASK

    static final String HTTP_SERVICE_TASK

  - ### REACTIVATE_EVENT_LISTENER

    static final String REACTIVATE_EVENT_LISTENER

  - ### SCRIPT_SERVICE_TASK

    static final String SCRIPT_SERVICE_TASK

  - ### SEND_EVENT_SERVICE_TASK

    static final String SEND_EVENT_SERVICE_TASK